<form class="ui form" [formGroup]="registerForm" (ngSubmit)="register()">
    <div class="required field">
        <label>Username</label>
        <input type="text" formControlName="username">
    </div>

    <div class="required field">
        <label>Password</label>
        <input type="text" formControlName="password">
    </div>

    <div class="required field">
        <label>Name</label>
        <input type="text" formControlName="name">
    </div>

    <div class="required field">
        <label>Email</label>
        <input type="text" formControlName="email">
    </div>

    <button class="ui fluid button" type="submit">Register</button>
</form>

<a routerLink="/login"> If you already have an account, click here.</a>